"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var _default = (0, _core.makeStyles)(function (_ref) {
  var palette = _ref.palette;
  return {
    '@keyframes opacityLine': {
      '0%': {
        opacity: 1
      },
      '100%': {
        opacity: 0
      }
    },
    content: {
      display: 'flex',
      flexDirection: 'column',
      cursor: 'text'
    },
    containerCodes: {
      display: 'flex',
      alignItems: 'center'
    },
    contentBorderDefault: {
      borderRadius: 5,
      background: palette.common.grayOB,
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'center',
      width: 58,
      height: 70,
      margin: '0 6px'
    },
    contentBorderSmall: {
      width: 38,
      height: 54
    },
    contentBorderActive: {
      background: '#080808'
    },
    contentCode: {
      cursor: 'text',
      width: 'calc(100% - 2px)',
      height: 'calc(100% - 2px)',
      borderRadius: 5,
      backgroundColor: palette.common.white,
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'center'
    },
    code: {
      fontSize: 24
    },
    codeError: {
      color: palette.common.black
    },
    borderError: {
      background: palette.common.errorOB
    },
    borderSuccess: {
      background: palette.success.main
    },
    line: {
      height: 1,
      width: 15,
      marginTop: 20,
      backgroundColor: palette.primary.dark,
      animation: '$opacityLine 0.6s infinite alternate'
    },
    lineError: {
      backgroundColor: palette.error.main
    },
    lineSuccess: {
      backgroundColor: palette.success.main
    },
    helperText: {
      fontSize: 12,
      color: palette.text.primary,
      marginTop: 3,
      marginLeft: 6
    },
    helperTextError: {
      color: palette.error.main
    },
    input: {
      opacity: 0,
      position: 'absolute',
      zIndex: 10,
      top: -50000
    },
    containerNip: {
      display: 'flex',
      alignItems: 'center'
    },
    contentNip: {
      height: 22,
      width: 22,
      borderRadius: 15,
      border: "2px solid ".concat(palette.common.grayOB),
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      margin: '0 6px'
    },
    contetntNipBlue: {
      height: 22,
      width: 22,
      borderRadius: 15,
      border: "2px solid ".concat(palette.common.borderNip),
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      margin: '0 6px'
    },
    contentNipActive: {
      backgroundColor: palette.primary.main,
      border: "2px solid ".concat(palette.common.blueOB)
    },
    contentNipActiveBlue: {
      backgroundColor: palette.common.backGroundNip
    },
    contentError: {
      border: "2px solid ".concat(palette.common.errorOB)
    }
  };
});

exports.default = _default;