"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@material-ui/core");

var color = function color(_ref) {
  var _ref$disabled = _ref.disabled,
      disabled = _ref$disabled === void 0 ? false : _ref$disabled,
      value = _ref.value;
  return disabled || value === '' ? '#8696A8' : 'initial';
};

var height = function height(_ref2) {
  var _ref2$height = _ref2.height,
      height = _ref2$height === void 0 ? 0 : _ref2$height;
  return height !== 0 ? height : 115;
};

var _default = (0, _core.makeStyles)(function (_ref3) {
  var typography = _ref3.typography,
      palette = _ref3.palette;
  return {
    '@keyframes rotateRight': {
      '0%': {
        transform: 'rotate(180deg)'
      },
      '20%': {
        filter: 'invert(20%)'
      },
      '40%': {
        filter: 'invert(40%)'
      },
      '60%': {
        filter: 'invert(60%)'
      },
      '80%': {
        filter: 'invert(80%)'
      },
      '100%': {
        filter: 'invert(100%)'
      }
    },
    '@keyframes rotateLeft': {
      '0%': {
        transform: 'rotate(-180deg)'
      },
      '20%': {
        filter: 'invert(80%)'
      },
      '40%': {
        filter: 'invert(60%)'
      },
      '60%': {
        filter: 'invert(40%)'
      },
      '80%': {
        filter: 'invert(20%)'
      },
      '100%': {
        filter: 'invert(0%)'
      }
    },
    '@keyframes translateYUp': {
      '50%': {
        transform: 'translateY(-8px)'
      },
      '20%': {
        filter: 'opacity(10%)'
      },
      '60%': {
        filter: 'opacity(20%)'
      },
      '100%': {
        filter: 'opacity(100%)'
      }
    },
    '@keyframes translateYDown': {
      '50%': {
        transform: 'translateY(8px)'
      },
      '20%': {
        filter: 'opacity(10%)'
      },
      '60%': {
        filter: 'opacity(20%)'
      },
      '100%': {
        filter: 'opacity(100%)'
      }
    },
    root: {
      display: 'grid',
      gridTemplateRows: '1fr max-content',
      gap: 5,
      width: '100%',
      alignItems: 'unset',
      justifyContent: 'unset'
    },
    containerAmount: {
      display: 'grid',
      gridTemplateColumns: '1fr min-content',
      alignItems: 'center',
      gap: 30,
      width: '100%',
      height: height,
      maxWidth: '100% !important'
    },
    amount: {
      display: 'flex',
      alignItems: 'baseline',
      columnGap: 5,
      width: '100%',
      maxWidth: '100% !important'
    },
    coin: {
      fontSize: 15,
      lineHeight: '19px',
      color: color,
      marginRight: '10px'
    },
    coinTranfer: {
      fontSize: 15,
      lineHeight: '19px',
      color: '#8696A8',
      marginRight: '10px'
    },
    inputAmount: {
      lineHeight: '32px',
      backgroundColor: 'transparent',
      fontSize: typography.pxToRem(36),
      border: 'none',
      fontWeight: 500,
      minWidth: '25px !important',
      maxWidth: '100%',
      '&::placeholder': {
        color: color
      }
    },
    inputAmountTransfer: {
      lineHeight: '32px',
      backgroundColor: 'transparent',
      fontSize: typography.pxToRem(36),
      border: 'none',
      fontWeight: 500,
      minWidth: '25px !important',
      width: 'auto',
      color: '#8696A8',
      '&::placeholder': {
        color: '#8696A8'
      }
    },
    footer: {
      borderTop: '1px solid #AFC1D4',
      display: 'flex',
      flexDirection: 'column',
      alignItems: 'center',
      justifyContent: 'center',
      padding: 10,
      '& > p': {
        fontSize: '16px',
        fontWeight: 500,
        lineHeight: '22px'
      }
    },
    btn: {
      backgroundColor: 'rgba(7, 7, 7, 0.035509)',
      minWidth: 'unset',
      borderRadius: '10px',
      padding: '6.5px 4px',
      '& > span': {
        fontSize: '12px',
        lineHeight: '9px',
        color: palette.primary.main,
        margin: '10px 5px'
      },
      '&:disabled': {
        border: 'unset',
        background: 'rgba(7, 7, 7, 0.035509) !important',
        borderRadius: '10px !important',
        '& > span': {
          color: color
        }
      }
    },
    tranferBox: {
      display: 'flex',
      flexDirection: 'column',
      justifyContent: 'center',
      background: '#FFFFFF',
      boxShadow: '0px 0px 16px rgba(217, 217, 217, 0.4)',
      borderRadius: '16px',
      height: '176px',
      width: '312px',
      position: 'relative'
    },
    amountTransfer: {
      padding: '0 0 0 16px',
      display: 'flex',
      alignItems: 'baseline',
      columnGap: 5,
      width: '100%',
      maxWidth: '80%'
    },
    translateYUp: {
      animation: '$translateYUp 1.5s'
    },
    translateYDown: {
      animation: '$translateYDown 1.5s'
    },
    buttomTransfer: {
      width: '48px',
      height: '48px',
      boxShadow: '0px 0px 16px rgba(217, 217, 217, 0.4)',
      border: 'none',
      borderRadius: '50%',
      background: '#FFFFFF',
      position: 'absolute',
      right: '16px',
      top: '65px',
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      cursor: 'pointer'
    },
    buttomTransferAnimationRigth: {
      filter: 'invert(100%)',
      animation: '$rotateRight 1s'
    },
    buttomTransferAnimationLeft: {
      animation: '$rotateLeft 1s'
    },
    bar: {
      border: '0.5px solid #E6E6E6',
      margin: '11px 0, 11px 0'
    }
  };
});

exports.default = _default;