"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = require("react");

var getReturnValues = function getReturnValues(countDown, options) {
  // Validate zeros
  var formatZero = function formatZero(n, bool) {
    return bool ? String(n).padStart(2, '0') : n;
  }; // calculate time left
  // Format to showHours


  if (options.showHours) {
    var hours = formatZero(Math.floor(countDown / (1000 * 60 * 60)), options.showZero || false);
    var minutes = formatZero(Math.floor(countDown % (1000 * 60 * 60) / (1000 * 60)), true);

    var _seconds = formatZero(Math.floor(countDown % (1000 * 60) / 1000), true);

    return "".concat(hours, ":").concat(minutes, ":").concat(_seconds);
  } // Format to showMinutes


  if (options.showMinutes) {
    var _minutes = formatZero(Math.floor(countDown / (1000 * 60)), options.showZero || false);

    var _seconds2 = formatZero(Math.floor(countDown % (1000 * 60) / 1000), true);

    return "".concat(_minutes, ":").concat(_seconds2);
  } // Format to showSeconds


  var seconds = formatZero(Math.floor(countDown / 1000), options.showZero || false);
  return seconds;
};

var useCountdown = function useCountdown(_ref) {
  var targetDate = _ref.targetDate,
      _ref$showSeconds = _ref.showSeconds,
      showSeconds = _ref$showSeconds === void 0 ? true : _ref$showSeconds,
      _ref$showMinutes = _ref.showMinutes,
      showMinutes = _ref$showMinutes === void 0 ? false : _ref$showMinutes,
      _ref$showHours = _ref.showHours,
      showHours = _ref$showHours === void 0 ? false : _ref$showHours,
      _ref$showZero = _ref.showZero,
      showZero = _ref$showZero === void 0 ? false : _ref$showZero;
  var countdownDate = new Date(targetDate).getTime();

  var _useState = (0, _react.useState)(countdownDate - new Date().getTime()),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      countDown = _useState2[0],
      setCountDown = _useState2[1];

  (0, _react.useEffect)(function () {
    setCountDown(countdownDate - new Date().getTime());
    var intervalId = setInterval(function () {
      var value = countdownDate - new Date().getTime();
      setCountDown(value);

      if (value < 1000) {
        setCountDown(0);
        clearInterval(intervalId);
      }
    }, 1000);
    return function () {
      return clearInterval(intervalId);
    };
  }, [countdownDate]);
  return getReturnValues(countDown, {
    showSeconds: showSeconds,
    showMinutes: showMinutes,
    showHours: showHours,
    showZero: showZero
  });
};

var _default = useCountdown;
exports.default = _default;